curl --request GET \
--url https://api.partoo.co/v2/sections \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/sections"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"count": 6,
"max_page": 1,
"sections": [
{
"id": 1,
"name": "Country",
"groups": [
{
"id": 123,
"name": "<string>",
"has_puller": true,
"business_count": 123
}
],
"can_edit": true,
"has_puller": true
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Get Sections
Get all the sections for an organization.
For more information about the group system, see the Groups and Sections description.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Page number.
Starts at 1. Any value lower than 1 will be considered as 1.
For the number of items per page, see the per_page query parameter.
Filter by organization ID. Only PROVIDER users can use this filter. If you are not a PROVIDER, this will default to the ID of your organization.
Filter sections to only those containing at least one group whose name contains this value (case-insensitive substring match).
Was this page helpful?